# The controller is a component of Project Ouroborus. It coordinates
# the execution of the other components, and provides a user interface

# In its present form, the controller is limited in the functionalities
# it offers to the deployment of a single two-dimensional test automaton,
# although there are a number of choices which affect its display.
# The user interface is a very rudimentary set of dialogues. The flow of
# execution is sturdy enough, except that a bad filename will result in
# a crash!

# Spirituality is the direct relationship between you and your infinity
# - Yogi Bhajan

# Here are the modules which comprise the current controller:

#   narayan     - controls the program start-up
#   brahm       - controls automaton creation
#   saraswati   - creates and controls the visual display
#   hare        - orchestrates the iteration of an automaton
#   ganesh      - calls mundem functionalities
#   shiv        - simply acts to annihilate a mundito
#   dialogue    - user interface dialogues

# See the text files in the docs directory for more information
# or visit the project's website at http://ouroborus.sf.net



__name__ = 'controller'
__version__ = '0.0.2'
__author__ = 'Sat Tara S Khalsa <smonkey@entropia.com.mx>'
__copyright__ = 'Copyright 2006 (C) Project Ouroboros'
__license__ = 'GPL'
